# TFS scmInstances Create a new instance of TFS SCM. url* - URL in the below format: <protocol>:<host>:<port>/<tfsroot>/<collection>/<project> URL format for TFS 2016 and above: <protocol>:<host>:<port>/<collection>/<project> userName/password* - userName/password for authentication changeSet - changeset you wish to sync.If Changeset is not provided, latest revision will be synced unless Label is specified. label - Label you wish to sync. If Label is not provided, latest revision will be synced unless changeset is specified. Endpoint: POST /scmInstances/TFS Version: v1 Security: bearerAuth ## Query parameters: - `projectId` (integer, required) ID of the project Example: 1 ## Request fields (application/json): - `url` (string, required) url - `username` (string, required) userName Example: "abc" - `password` (string, required) password Example: "abc" - `changeSet` (string) changeSet - `label` (string) label ## Response 201 fields ## Response 400 fields ## Response 401 fields ## Response 404 fields ## Response 500 fields